Bug 8533 - Files related to bind9s dlz dlopen backend: dlz_bind9.so and named.conf.dlz doesn't get installed
Files related to bind9s dlz dlopen backend: dlz_bind9.so and named.conf.dlz d...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 21:01 UTC by Geza Gemes
Modified: 2011-10-26 08:21 UTC (History)
0 users

See Also:


Attachments
Patch (1.29 KB, patch)
2011-10-18 21:01 UTC, Geza Gemes
no flags Details
Fixes wscript_build files to install the two missing files: dlz_bind9.so and named.conf.dlz (1.25 KB, patch)
2011-10-23 07:57 UTC, Geza Gemes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Geza Gemes 2011-10-18 21:01:15 UTC
Created attachment 7009 [details]
Patch

Doing a standard configure.developer && make && make install, the dlz_bind9.so gets created, but isn't installed. At the same time named.conf.dlz doesn't get installed. Both files are needed if provision --dns-backend=BIND9_DLZ is run from the installed location.
The attached patch fixes this.
Comment 1 Geza Gemes 2011-10-23 07:57:01 UTC
Created attachment 7024 [details]
Fixes wscript_build files to install the two missing files: dlz_bind9.so and named.conf.dlz
Comment 2 Matthias Dieter Wallnöfer 2011-10-25 19:56:02 UTC
I've discussed this patch with Stefan Metzmacher and we both found it okay.
For now it is located in my personal "master" branch (http://gitweb.samba.org/samba.git/?p=mdw/samba.git;a=summary) and will land in the main branch as soon as my other patches can definitely be merged.
Comment 3 Geza Gemes 2011-10-25 20:41:13 UTC
(In reply to comment #2)
> I've discussed this patch with Stefan Metzmacher and we both found it okay.
> For now it is located in my personal "master" branch
> (http://gitweb.samba.org/samba.git/?p=mdw/samba.git;a=summary) and will land in
> the main branch as soon as my other patches can definitely be merged.

Thank you!

Shall I change the status to resolved now, or will you be doing so when you will push the changes from your repo to the master?
Comment 4 Matthias Dieter Wallnöfer 2011-10-26 08:21:13 UTC
I'm marking this as FIXED since the patch should land in "master" as soon as possible.